This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1021328 - ABRT deduplication wrong, at least for X
ABRT deduplication wrong, at least for X
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: satyr (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Milata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 01:51 EDT by D. Hugh Redelmeier
Modified: 2015-01-09 16:50 EST (History)
7 users (show)

See Also:
Fixed In Version: satyr-0.14-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-09 16:50:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description D. Hugh Redelmeier 2013-10-21 01:51:06 EDT
Description of problem:
ABRT decides that distinct X crashes are the same.
 

Version-Release number of selected component (if applicable):
abrt-2.1.8-1.fc19.x86_64


How reproducible:
Don't know.  It has happened to my more than once.

Steps to Reproduce:
Crash X; see where ABRT takes you.

Actual results:
Many errors are mapped by ABRT to bz 1003221. 

Expected results:


Additional info:
See for example:
https://bugzilla.redhat.com/show_bug.cgi?id=1003221
Look at my comments #27 and #29.  I think that the original bug report and my two are three distinct X crashes.

My GUESS is that since the X server catches signals and turns them into SIGABRT, the deduplicating code thinks all these errors are the same.  The top entries of the backtrace are going to look alike because the same signal handler is used to handle the diverse underlying signals.

In this particular case, the consequence is probably quite bad: many errors are ignored because the first report is tainted by using the unsupported-by-Fedora/RedHat/Xorg proprietary Catalyst driver.
Comment 1 Fedora End Of Life 2015-01-09 15:19:36 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Jakub Filak 2015-01-09 16:50:12 EST
Thank you for the bug report. This particular bug was fixed and a update package was published for download for this Fedora release. (See bug #1068767).

Note You need to log in before you can comment on or make changes to this bug.